See the top rated post in this thread. Click here

Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: find pipe inverts at arbitrary location?

  1. #1
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default find pipe inverts at arbitrary location?

    Is there a straightforward way to get the invert of pipe at arbitrary points along the run? I've got an existing sanitary system to model, and survey data includes pipe sizes and inverts at manholes, and lateral service cleanout locations. I need to know what the invert elevation is where the laterals would tie in.

    this is a renovation job, and we need to stuff some large stormwater pipes in the RoW (48" to 60" Strm in a tight residential neighborhood for retention and flood control), so I'm trying to minimize conflicts with the existing as much as possible. Especially sanitary...

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    I cannot think of a way to label the pipe elevations anywhere on the pipe. The labels I use to label the pipe end elevations are actually structure labels.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    yeah, seems like the simplest step will be to place null structures after the main runs are in. I don't really care about labeling them per se -- I just want to have the laterals 'properly' located in 3d space.

    of course, that's pretty kludgy.

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    See this old thread, specifically Jeff's comments, for some useful info on a related topic.

    Quote Originally Posted by Jeff_M
    ...

    HTH
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    So, are you busy coding up a user friendly version?

  6. #6
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    Quote Originally Posted by cadtag View Post
    So, are you busy coding up a user friendly version?
    Haha... While this would make for a great plug-in, I confess, I'm not at the moment... I'm busy doing real work for my new employer (I'll add it to my list to revisit, once I settle in).
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  7. #7
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    This isn't pretty, but it does return the invert at the closest picked point.
    Code:
    (defun c:getinvert (/	     _getparam	       _myspace	end0
    		    end1     height   inv0     inv1	pick
    		    pipe     point    space    tempLine
    		   )
      (defun _getparam (pipe param)
        (vlax-safearray->list
          (vlax-variant-value
    	(vlax-get-property pipe 'pointatparam param)
          )
        )
      )
      (defun _myspace (/ adoc space)
        (vl-load-com)
        (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
        (setq space	(if (= 1 (vla-get-activespace adoc))
    		  (vla-get-modelspace adoc)
    		  (if (= (vla-get-mspace adoc) :vlax-true)
    		    (vla-get-modelspace adoc)
    		    (vla-get-paperspace adoc)
    		  )
    		)
        )
      )
      (if (and (setq pipe (entsel "\nSelect pipe: "))
    	   (setq pick (getpoint "\nSpecify point: "))
    	   (setq pipe (car pipe))
    	   (setq pipe (vlax-ename->vla-object pipe))
          )
        (progn
          (setq end0     (_getparam pipe 0.0)
    	    end1     (_getparam pipe 1.0)
    	    height   (vlax-get-property pipe 'InnerHeight)
    	    inv0     (mapcar '- end0 (list 0.0 0.0 (* 0.5 height)))
    	    inv1     (mapcar '- end1 (list 0.0 0.0 (* 0.5 height)))
    	    tempLine (vla-addline
    		       (_myspace)
    		       (vlax-3d-point inv0)
    		       (vlax-3d-point inv1)
    		     )
          )
          (vla-put-visible tempLine :vlax-false)
          (setq point (vlax-curve-getclosestpointto tempLine pick))
          (vla-delete tempLine)
          point
        )
      )
    )
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  8. #8
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    Works! thanks.

    (edit> spoke to soon..... picking both ends of a pipe segment (null structure at each end) after modifying ending invert

    Code:
    Command: getinvert
    
    Select pipe:
    Specify point: (2.04361e+006 528003.0 0.276447)
    
    Command:
    Command:  GETINVERT
    Select pipe:
    Specify point: (2.04361e+006 528003.0 6.41381)
    
    Command:
    Command:
    Command: EditStructureProperties
    
    
    
    Command:
    Command: EditPipeProperties
    pipe properties gives me an invert of -0.333 and 164.00
    Last edited by BlackBox; 2014-02-07 at 05:28 PM. Reason: Please use [CODE] Tags

  9. #9
    Member
    Join Date
    2001-03
    Posts
    17
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    I realize this is an old thread but the need for getting the invert along a pipe still exists. Has anyone been able to either come up with a new solution or get the code to work? Trying to use the code above results in getting the pipe end invert for me.

  10. #10
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: find pipe inverts at arbitrary location?

    The C3DTools package from DotSoft has a rather neat routine to create a 2d featureline from connected pipes, With that you can ID specific specific points along the feature line for elevation info. Or set an elevation point for later use

Page 1 of 2 12 LastLast

Similar Threads

  1. Show Pipe Inverts Only
    By civil3d.wishlist1941 in forum Civil 3D Wish List
    Replies: 1
    Last Post: 2013-03-27, 08:44 PM
  2. Show Pipe Inverts Only
    By civil3d.wishlist1941 in forum Civil 3D Wish List
    Replies: 0
    Last Post: 2008-11-05, 09:46 PM
  3. Pipe Inverts at Structure Wrong Location on Split Profile
    By dmanning in forum AutoCAD Civil 3D - Pipes
    Replies: 1
    Last Post: 2008-10-17, 03:36 PM
  4. Show Pipe Inverts Only
    By civil3d.wishlist1941 in forum Civil 3D Wish List
    Replies: 2
    Last Post: 2008-06-05, 01:00 AM
  5. Label Arbitrary Pipe Invert
    By brian.127267 in forum AutoCAD Civil 3D - Pipes
    Replies: 1
    Last Post: 2007-04-26, 09:28 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •